Subject: bug#17289: 24.4.50; Build failure (Fedora 20)

From: Paul Eggert <[email-masked]>
Date: Sat, 19 Apr 2014 15:21:15 -0700

Jan Djärv wrote:
> Adding another third party library now requires the Glib test to be updated as well.  Locality is broken.

Locality was already broken.  When adding another library, it was 
necessary to add its tests in the right place: before the glib test, 
after any libraries the new library depends on, before any other tests 
might be affected by the presence of the new library, etc.

The recent changes to configure.ac have made these dependencies more 
explicit, which I hope eases maintenance in the future.

> I think just having Gtk+ and running configure without any parameters gives you this error.

I ran plain 'configure' on Fedora 20 (with all development libraries 
installed) and had no trouble.  I expect Bug#17289 was caused by the use 
of --enable-link-time-optimization --with-file-notification=inotify.

> We do not want Emacs to require Glib, or link with it if it is not being used.

Thanks, I added a comment to configure.ac to try to document this better.